Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RegistryFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryFactoryImpl

    public interface RegistryFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `RegistryPackage`

Field Summary
`static RegistryFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AddSlotsRequestType` | `createAddSlotsRequestType()` Returns a new object of class 'Add Slots Request Type'.
`ApproveObjectsRequestType` | `createApproveObjectsRequestType()` Returns a new object of class 'Approve Objects Request Type'.
`DeprecateObjectsRequestType` | `createDeprecateObjectsRequestType()` Returns a new object of class 'Deprecate Objects Request Type'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`OptionalFeaturesSupportedType` | `createOptionalFeaturesSupportedType()` Returns a new object of class 'Optional Features Supported Type'.
`RegistryErrorListType` | `createRegistryErrorListType()` Returns a new object of class 'Error List Type'.
`RegistryErrorType` | `createRegistryErrorType()` Returns a new object of class 'Error Type'.
`RegistryProfileType` | `createRegistryProfileType()` Returns a new object of class 'Profile Type'.
`RegistryResponseType` | `createRegistryResponseType()` Returns a new object of class 'Response Type'.
`RemoveObjectsRequestType` | `createRemoveObjectsRequestType()` Returns a new object of class 'Remove Objects Request Type'.
`RemoveSlotsRequestType` | `createRemoveSlotsRequestType()` Returns a new object of class 'Remove Slots Request Type'.
`RequestAcceptedResponseType` | `createRequestAcceptedResponseType()` Returns a new object of class 'Request Accepted Response Type'.
`RootElementType` | `createRootElementType()` Returns a new object of class 'Root Element Type'.
`SubmitObjectsRequestType` | `createSubmitObjectsRequestType()` Returns a new object of class 'Submit Objects Request Type'.
`UpdateObjectsRequestType` | `createUpdateObjectsRequestType()` Returns a new object of class 'Update Objects Request Type'.
`RegistryPackage` | `getRegistryPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final RegistryFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAddSlotsRequestType

    AddSlotsRequestType createAddSlotsRequestType()

  Returns a new object of class 'Add Slots Request Type'.

  Returns:
    a new object of class 'Add Slots Request Type'.

### createApproveObjectsRequestType

    ApproveObjectsRequestType createApproveObjectsRequestType()

  Returns a new object of class 'Approve Objects Request Type'.

  Returns:
    a new object of class 'Approve Objects Request Type'.

### createDeprecateObjectsRequestType

    DeprecateObjectsRequestType createDeprecateObjectsRequestType()

  Returns a new object of class 'Deprecate Objects Request Type'.

  Returns:
    a new object of class 'Deprecate Objects Request Type'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createOptionalFeaturesSupportedType

    OptionalFeaturesSupportedType createOptionalFeaturesSupportedType()

  Returns a new object of class 'Optional Features Supported Type'.

  Returns:
    a new object of class 'Optional Features Supported Type'.

### createRegistryErrorListType

    RegistryErrorListType createRegistryErrorListType()

  Returns a new object of class 'Error List Type'.

  Returns:
    a new object of class 'Error List Type'.

### createRegistryErrorType

    RegistryErrorType createRegistryErrorType()

  Returns a new object of class 'Error Type'.

  Returns:
    a new object of class 'Error Type'.

### createRegistryProfileType

    RegistryProfileType createRegistryProfileType()

  Returns a new object of class 'Profile Type'.

  Returns:
    a new object of class 'Profile Type'.

### createRegistryResponseType

    RegistryResponseType createRegistryResponseType()

  Returns a new object of class 'Response Type'.

  Returns:
    a new object of class 'Response Type'.

### createRemoveObjectsRequestType

    RemoveObjectsRequestType createRemoveObjectsRequestType()

  Returns a new object of class 'Remove Objects Request Type'.

  Returns:
    a new object of class 'Remove Objects Request Type'.

### createRemoveSlotsRequestType

    RemoveSlotsRequestType createRemoveSlotsRequestType()

  Returns a new object of class 'Remove Slots Request Type'.

  Returns:
    a new object of class 'Remove Slots Request Type'.

### createRequestAcceptedResponseType

    RequestAcceptedResponseType createRequestAcceptedResponseType()

  Returns a new object of class 'Request Accepted Response Type'.

  Returns:
    a new object of class 'Request Accepted Response Type'.

### createRootElementType

    RootElementType createRootElementType()

  Returns a new object of class 'Root Element Type'.

  Returns:
    a new object of class 'Root Element Type'.

### createSubmitObjectsRequestType

    SubmitObjectsRequestType createSubmitObjectsRequestType()

  Returns a new object of class 'Submit Objects Request Type'.

  Returns:
    a new object of class 'Submit Objects Request Type'.

### createUpdateObjectsRequestType

    UpdateObjectsRequestType createUpdateObjectsRequestType()

  Returns a new object of class 'Update Objects Request Type'.

  Returns:
    a new object of class 'Update Objects Request Type'.

### getRegistryPackage

    RegistryPackage getRegistryPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD